﻿$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$PackageArgs = @{
  PackageName   = $PackageName
  UnzipLocation = $InstallDir
  FileType      = 'exe'
  Url           = "https://github.com/chylex/TweetDuck/releases/download/1.8.3/TweetDuck.exe"

  SoftwareName  = 'tweetduck*'

  Checksum      = "967116f0266ab9e89c68fa289197f4afe25bde740d98f164d759690ecb9238004c1d25b1b2f74f1c47c8bc69f7c050e2acf39e624ff2662479c76178f311a1d7"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Write-Host "$PackageName registered as $App"